<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>MBKM</title>
    <style>
        div.ex1 {
            width: 100%;
            height: 800px;
            overflow: scroll;
        }
    </style>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Report</span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0">List Matakuliah</h3>
                                <h5 th:text="${'Jumlah SKS yang telah diambil ' + sksDiambil}"></h5>
                            </div>
                            <div class="col text-right">
                                <a th:href="@{/report/mbkm(tahunAkademik=${tahun.id})}" class="btn btn-secondary btn-sm"><i class="fa fa-arrow-circle-left"></i> Back</a>
                            </div>
                        </div>
                    </div>
                    <form method="post" th:action="@{/report/mbkm/edit}">
                        <input type="hidden" name="krsMatakuliahMbkm" th:value="${krsWaiting.id}">
                        <div class="card-body">
                            <div class="card shadow">
                                <div class="card-header border-0">
                                    <div class="col text-right">

                                    </div>
                                </div>
                                <div class="table-responsive">
                                    <table class="table align-items-center table-flush">
                                        <thead class="thead-light">
                                        <tr>
                                            <th>#</th>
                                            <th>Kode MK</th>
                                            <th>Nama Matakuliah</th>
                                            <th>SKS</th>
                                            <th></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        <tr th:each="data, row : ${listMatkul}">
                                            <td th:text="${(row.index + 1)}">1</td>
                                            <td th:text="${data[1]}">AEM1101</td>
                                            <td th:text="${data[2]}">Dirasah Islamiah</td>
                                            <td th:text="${data[4]}"><b>3</b></td>
                                            <td>
                                                <div class="text-center" >
                                                    <input th:checked="${#lists.contains(listMatkulDiambil, data[0])}" type="checkbox" class="select-check" name="matkul" th:value="${data[0]}">
                                                </div>
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                </div>
                                <div class="card-footer text-center">
                                    <button type="submit" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>

<!--<script>-->
<!--    $(document).ready(function (){-->
<!--        $(".select-check:input:checkbox").each(function (index){-->
<!--            this.checked = (".select-check:input:checkbox" < 1);-->
<!--        }).change(function (){-->
<!--            if ($(".select-check:input:checkbox:checked").length > 1){-->
<!--                this.checked = false;-->
<!--            }-->
<!--        });-->
<!--    });-->
<!--</script>-->